# - name: App Host
#   no_log: true
#   ansible.builtin.set_fact:
#     oauth_app_host: "{{ oauth_app_name }}"
#   when: oauth_app_host is undefined

- name: Client ID
  ansible.builtin.fail:
    msg: The variable oauth_idm_client_id is undefined
  when: oauth_idm_client_id is undefined

- name: Client Secret
  ansible.builtin.fail:
    msg: The variable oauth_idm_client_secret is undefined
  when: oauth_idm_client_secret is undefined

- name: Generate Cookie Secret
  shell: openssl rand -base64 32 | head -c 32 | base64
  register: oauth_intern_cookie_secret_shell
  delegate_to: 127.0.0.1
  run_once: true
  when: oauth_cookie_secret is undefined

- name: Cookie Secret
  no_log: true
  ansible.builtin.set_fact:
    oauth_cookie_secret: "{{ oauth_intern_cookie_secret_shell.stdout }}"
  when: oauth_cookie_secret is undefined

- name: Debug Variables
  ansible.builtin.debug:
    msg:
      - 'App Name: {{ oauth_app_name }}'
      # - 'App Host: {{ oauth_app_host }}'
      - 'Client ID: {{ oauth_idm_client_id }}'
      - 'Client Secret: {{ oauth_idm_client_secret }}'
      - 'Cookie Secret: {{ oauth_cookie_secret }}'
      # - '{{  }}'
  when: debug_defaults is defined and debug_defaults
  ignore_errors: yes